"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prettyHtml = void 0;
const prettyhtml_1 = __importDefault(require("@starptech/prettyhtml"));
const fs_1 = require("fs");
const helpers_fn_1 = require("helpers-fn");
async function prettyHtml(filePath) {
    try {
        const input = fs_1.readFileSync(filePath, 'utf8');
        const { contents } = await prettyhtml_1.default(input, {
            printWidth: 55,
            useTabs: true,
            usePrettier: false,
            sortAttributes: true,
        });
        fs_1.writeFileSync(filePath, contents, 'utf8');
        helpers_fn_1.log(`${filePath} linted with PrettyHTML`, 'info');
    }
    catch (err) {
        console.log(err, 'prettyHtml');
        helpers_fn_1.log(`${filePath} fail when linted with PrettyHTML`, 'error');
    }
}
exports.prettyHtml = prettyHtml;
