"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.evaluateDecorations = void 0;
const rambdax_1 = require("rambdax");
function evaluateDecorations(input) {
    const { newDecorationsData, fileName, hasTypescript, } = input;
    const unreliableLogData = [];
    const reliableLogData = {};
    const triggerFileHasDecoration = rambdax_1.filter((logData, prop) => {
        const okLogData = fileName.endsWith(prop);
        logData.map((x) => {
            unreliableLogData.push(x.decoration);
            if (okLogData) {
                reliableLogData[x.line] = x.decoration;
            }
        });
        return okLogData;
    }, newDecorationsData);
    const correct = !hasTypescript && Object.keys(triggerFileHasDecoration).length === 1;
    const logData = correct ? reliableLogData : unreliableLogData;
    return {
        correct,
        logData,
    };
}
exports.evaluateDecorations = evaluateDecorations;
